Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class Copy

    java.lang.Object
      org.apache.jmeter.gui.action.AbstractAction
          org.apache.jmeter.gui.action.Copy

All Implemented Interfaces:
  Command

public class Copy
extends AbstractAction

Implements the Copy menu command

Constructor Summary
`Copy()`

Method Summary
`static JMeterTreeNode` | `cloneTreeNode(JMeterTreeNode node)`
`static JMeterTreeNode[]` | `cloneTreeNodes(JMeterTreeNode[] nodes)`
`void` | `doAction(ActionEvent e)`
`Set` | `getActionNames()`
`static JMeterTreeNode` | `getCopiedNode()`
`static JMeterTreeNode[]` | `getCopiedNodes()`
`static void` | `setCopiedNode(JMeterTreeNode node)`
`static void` | `setCopiedNodes(JMeterTreeNode[] nodes)`

Methods inherited from class org.apache.jmeter.gui.action.AbstractAction
`popupShouldSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Copy

    public Copy()

Method Detail

### getActionNames

    public Set getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  Specified by:
    `getActionNames` in class `AbstractAction`
  See Also:
    `Command.getActionNames()`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  Overrides:
    `doAction` in class `AbstractAction`
  See Also:
    `Command.doAction(ActionEvent)`

### getCopiedNodes

    public static JMeterTreeNode[] getCopiedNodes()

### getCopiedNode

    public static JMeterTreeNode getCopiedNode()

### setCopiedNode

    public static void setCopiedNode(JMeterTreeNode node)

### cloneTreeNode

    public static JMeterTreeNode cloneTreeNode(JMeterTreeNode node)

### setCopiedNodes

    public static void setCopiedNodes(JMeterTreeNode[] nodes)

### cloneTreeNodes

    public static JMeterTreeNode[] cloneTreeNodes(JMeterTreeNode[] nodes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.